Package Details: xsvg 0.2.1-7

Git Clone URL: https://aur.archlinux.org/xsvg.git (read-only)
Package Base: xsvg
Description: A viewer of SVG files
Upstream URL: http://cairographics.org/
Licenses: custom
Submitter: haawda
Maintainer: bidulock
Last Packager: bidulock
Votes: 12
Popularity: 0.000162
First Submitted: 2008-01-05 17:53
Last Updated: 2015-07-13 23:35

Required by (0)

Sources (2)

Latest Comments

sediment commented on 2014-09-07 16:14

Works perfectly; thanks a lot.

haawda commented on 2014-09-07 02:32

Please try pkgrel 7.

sediment commented on 2014-09-06 22:34

I get the following problems while trying to make this package: http://pastebin.com/GAWkU84f

Errors seem to start with:
xsvg.c:(.text+0x2f6): undefined reference to `XAllocSizeHints'
xsvg.c:(.text+0x31f): undefined reference to `XAllocClassHint'
xsvg.c:(.text+0x336): undefined reference to `XAllocWMHints'
xsvg.c:(.text+0x368): undefined reference to `XmbSetWMProperties'
(etc., etc., etc....)

Any thoughts? Thanks.

pdxleif commented on 2013-10-11 00:31

This -6 version seems to work fine for me - thanks!

haawda commented on 2013-10-10 18:52

Weird. Try -6.

pdxleif commented on 2013-10-10 06:12

If I run ./configure manually outside of makepkg, it ends successfully with:
config.status: executing depfiles commands
When running makepkg on this PKGBUILD, I see after that:
/bin/sh ./config.status --recheck
running /bin/sh ./configure --prefix=/usr CFLAGS=-march=native -mtune=native -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 CPPFLAGS=-D_FORTIFY_SOURCE=2 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro --no-create --no-recursion
And then it starts ./configure at the beginning, to recurse infinitely.

If I remove the stuff in prepare() (the ./configure patch, etc), and the running of aclocal and automake in build(), it seem to work fine.

haawda commented on 2013-10-03 13:51

Fixed, thanks.

eatsaq commented on 2013-10-02 20:16

==> Starting build()...
configure.ac:10: warning: AM_INIT_AUTOMAKE: two- and three-arguments forms are deprecated. For more info, see:
configure.ac:10: http://www.gnu.org/software/automake/manual/automake.html#Modernize-AM_005fINIT_005fAUTOMAKE-invocation
configure.ac:15: error: required file './compile' not found
configure.ac:15: 'automake --add-missing' can install 'compile'
autoreconf: automake failed with exit status: 1
==> ERROR: A failure occurred in build().

haawda commented on 2013-01-27 10:50

Thanks, fixed.

speps commented on 2013-01-27 10:36

Hi Stef, you need to add something like this in order to build now:
sed -i "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/" `grep -rl AM_CONFIG_HEADER`

Cheers

All comments